## cinder 2015.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
Babel>=1.3
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=1.5.0,<1.6.0
kombu>=2.5.0
lxml>=2.3
netaddr>=0.7.12
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
osprofiler>=0.3.0                       # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
pyparsing>=2.0.1
python-barbicanclient>=3.0.1,<3.1.0
python-glanceclient>=0.15.0,<0.18.0
python-novaclient>=2.22.0,<2.24.0
python-swiftclient>=2.2.0,<2.5.0
requests>=2.2.0,!=2.4.0
retrying>=1.2.3,!=1.3.0 # Apache-2.0
Routes>=1.12.3,!=2.0
taskflow>=0.7.1,<0.8.0
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
suds>=0.4
WebOb>=1.2.3
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.vmware>=0.11.1,<0.12.0                     # Apache-2.0

=== debian/changelog ===
cinder (2015.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 09:18:42 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson,
                     python-babel,
                     python-barbicanclient (>= 3.0.1),
                     python-coverage,
                     python-crypto,
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-glanceclient (>= 1:0.15.0),
                     python-greenlet,
                     python-hacking,
                     python-iso8601,
                     python-keystonemiddleware (>= 1.5.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.5),
                     python-mock,
                     python-mox,
                     python-mysqldb,
                     python-netaddr,
                     python-novaclient (>= 2:2.22.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.rootwrap (>= 1.6.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslo.vmware (>= 0.11.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-osprofiler,
                     python-paramiko,
                     python-paste,
                     python-pastedeploy,
                     python-psycopg2,
                     python-pyparsing,
                     python-requests,
                     python-retrying,
                     python-routes,
                     python-rtslib-fb,
                     python-six (>= 1.9.0),
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-suds,
                     python-swiftclient,
                     python-taskflow (>= 0.7.1),
                     python-tempest-lib (>= 0.4.0),
                     python-testtools,
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/cinder.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/cinder.git
Homepage: http://cinder.openstack.org/

Package: python-cinder
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson,
         python-babel,
         python-barbicanclient (>= 3.0.1),
         python-crypto,
         python-eventlet (>= 0.16.1),
         python-glanceclient (>= 1:0.15.0),
         python-greenlet,
         python-iso8601,
         python-keystonemiddleware (>= 1.5.0),
         python-kombu,
         python-lxml,
         python-migrate (>= 0.9.5),
         python-mysqldb,
         python-netaddr,
         python-novaclient (>= 2:2.22.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.rootwrap (>= 1.6.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-oslo.vmware (>= 0.11.1),
         python-osprofiler,
         python-paramiko,
         python-paste,
         python-pastedeploy,
         python-passlib,
         python-pbr,
         python-pyparsing,
         python-requests,
         python-retrying,
         python-routes,
         python-rtslib-fb,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-suds,
         python-swiftclient,
         python-taskflow (>= 0.7.1),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

Package: cinder-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         python-cinder (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         cinder-common (= ${binary:Version}),
         debconf,
         python-keystoneclient,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the API server on which clients will connect.

Package: cinder-volume
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt (>= 1:1.0.17-1.1~),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Suggests: ceph-common
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Volume server which will actually do the storage.

Package: cinder-scheduler
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Scheduler server.

Package: cinder-backup
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P
endif

override_dh_clean:
	dh_clean
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst
	rm -rf debian/*.upstart debian/*.service

override_dh_install:
	#tools/config/generate_sample.sh -b . -p cinder -o etc/cinder
	dh_install --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	oslo-config-generator --output-file $(CURDIR)/etc/cinder/cinder.conf.sample \
		--wrap-width 140 \
		--namespace cinder \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace cinder.openstack.common.eventlet_backdoor \
		--namespace cinder.openstack.common.log \
		--namespace cinder.openstack.common.periodic_task \
		--namespace cinder.openstack.common.policy \
		--namespace oslo_db.concurrency

	#install -D -m 0644 $(CURDIR)/debian/cinder.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	install -D -m 0644 $(CURDIR)/etc/cinder/cinder.conf.sample $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Disable https in default setup, as this makes our CI fail
	sed -i 's/#auth_protocol=https/auth_protocol=http/' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf
	sed -i 's|#rootwrap_config=<None>|rootwrap_config=/etc/cinder/rootwrap.conf|' $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common
	echo "# Connection to db:" >>$(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "sql_connection = sqlite:////var/lib/cinder/cinderdb" >>$(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	sed -i "s/#auth_strategy=noauth/auth_strategy=keystone/" $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	sed -i 's|#state_path=$pybasedir|state_path=/var/lib/cinder|' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst

## cinder 2015.1.0+2015.06.16.git26.9634b76ba5

=== debian/changelog ===
cinder (2015.1.0+2015.06.16.git26.9634b76ba5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2015 22:46:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,10 @@
 	oslo-config-generator --output-file $(CURDIR)/etc/cinder/cinder.conf.sample \
 		--wrap-width 140 \
 		--namespace cinder \
-		--namespace oslo.concurrency \
-		--namespace oslo.db \
-		--namespace oslo.messaging \
-		--namespace oslo.policy \
+		--namespace oslo_concurrency \
+		--namespace oslo_db \
+		--namespace oslo_messaging \
+		--namespace cinder.policy \
 		--namespace keystonemiddleware.auth_token \
 		--namespace cinder.openstack.common.eventlet_backdoor \
 		--namespace cinder.openstack.common.log \

## cinder 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
anyjson>=0.3.3
Babel>=1.3
eventlet!=0.17.0,>=0.16.1
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware<1.6.0,>=1.5.0
kombu>=2.5.0
lxml>=2.3
netaddr>=0.7.12
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.context<0.3.0,>=0.2.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
osprofiler>=0.3.0 # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
pyparsing>=2.0.1
python-barbicanclient<3.1.0,>=3.0.1
python-glanceclient<0.18.0,>=0.15.0
python-novaclient<2.24.0,>=2.22.0
python-swiftclient<2.5.0,>=2.2.0
requests!=2.4.0,>=2.2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,>=1.12.3
taskflow<0.8.0,>=0.7.1
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy<=0.9.99,>=0.9.7
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
stevedore<1.4.0,>=1.3.0 # Apache-2.0
suds>=0.4
WebOb>=1.2.3
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.vmware<0.12.0,>=0.11.1 # Apache-2.0

=== debian/changelog ===
cinder (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (1ec74b8) (LP: #1506058):
    - [1ec74b8] Fix test_misc for WebOb 1.5
    - [0105618] Prevent missing Purity hosts from raising errors
    - [64998f1] Improve 3PAR driver VLUN creation and deletion
    - [f8cf3e6] Use prefix for SolidFire template account
    - [813cf65] Fix NetApp loop in clone of NFS backed images
    - [9314616] Fix HDS HNAS driver logging password as plain text
    - [5d86fcb] Fix volume creation from image with allowed_direct_url_schemes
    - [47351ad] Handle FC LUN IDs greater 255 correctly on s390x architectures
    - [d836a8f] Prevent creating encrypted volume with image
    - [ef0d680] RemoteFS: Fix the offline snapshot delete operation
    - [d0cfa7a] remotefs: Fix doc string for _create_snapshot
    - [693465f] Storwize driver should only report active wwpn port
    - [e60bf62] Reduced file size to prevent timeout
    - [fd38f1d] Don't return Exception when volume is detached
    - [db37223] Dell SC: Fix legacy, init_conn and REST API bug
    - [b3a301b] Support host type specific block volume attachment
    - [4d27945] Add deactivate step to extend_lv

  [ Corety Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2015 10:23:53 -0400

cinder (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - debian/patches/CVE-2015-1851.patch: Dropped. Fixed upstream.

 -- David Ames <david.ames@canonical.com>  Thu, 06 Aug 2015 08:52:22 -0700

cinder (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (651bab0) (LP: #1481008):
    - [b130f00] Fix NetApp cDOT driver use of Glance locations
    - [3388fff] Volume manager should set filter_function and goodness_function
    - [08ff005] Update expected error message from lvs
    - [27b5e75] Revert "Graceful shutdown WSGI/RPC server"
    - [4f86ae7] Fix 'no actual-pathname' NetApp API error
    - [70c6a35] Graceful shutdown WSGI/RPC server
    - [6c05594] Add exception catch in report_state for DBError
    - [50db0fc] Fix broken export commands on block_device driver
    - [9634b76] Disallow backing files when uploading volumes to image
    - [223b258] Fix cinder concurrency issues on rtstool
    - [ea9e2e0] Create iSCSI lio portals with right IPs and port
    - [f8149fc] Dispose DB connections between backend proc starts
    - [28bb8d2] Allow provisioning to reach max oversubscription
    - [0490f1c] Create initiator id for VMAX iSCSI driver
    - [28df54c] Fix capacity filter to allow oversubscription
    - [c56bbb7] VMware: Fix missing target resource pool
    - [03562c3] Check volume_backend in retype
    - [5ff9497] Use nfs_oversub_ratio when reporting pool capacity
    - [9affeaf] NFS Backup: Correcting backup_sha_block_size_bytes help message
    - [c0f12f2] LVM: Pass volume size in MiB to copy_volume() during volume migration
    - [e316d6f] Dell: Added support for update_migrated_volume
    - [f0a4447] Allow rexports for targets with Datera
    - [dabbaed] HDS HNAS Driver fails when FS unhealthy
    - [a5908fd] Revert state if attachment already exists
    - [651bab0] VolMgr: reschedule only when filter_properties has retry
  * d/p/fix-requirements.patch: Rebased.

 -- David Ames <david.ames@canonical.com>  Mon, 03 Aug 2015 10:43:21 -0700

cinder (1:2015.1.0-0ubuntu1.1) vivid-security; urgency=medium

  * SECURITY UPDATE: arbitrary file read via crafted qcow2 backing file
    - debian/patches/CVE-2015-1851.patch: disallow backing files in
      cinder/image/image_utils.py, added test to
      cinder/tests/test_image_utils.py.
    - CVE-2015-1851

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Jul 2015 10:37:01 -0400

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 python-all (>= 2.6)
Build-Depends-Indep:
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-barbicanclient (>= 3.0.1),
 python-coverage (>= 3.6),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.15.0),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.9.2),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.11.1),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.5.0),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-mox (>= 0.5.3),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-novaclient (>= 1:2.18.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslo-vmware (>= 0.11.1),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-osprofiler (>= 0.3.0),
 python-paramiko (>= 1.13.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-psycopg2,
 python-pyparsing (>= 2.0.1),
 python-requests (>= 2.2.0),
 python-retrying (>= 1.2.3),
 python-routes (>= 1.12.3),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-subunit (>= 0.0.18),
 python-suds (>= 0.4),
 python-swiftclient (>= 1:2.2.0),
 python-taskflow (>= 0.7.1),
 python-tempest-lib (>= 0.2.0),
 python-testresources,
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://launchpad.net/cinder
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/cinder/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/cinder/kilo
XS-Testsuite: autopkgtest

Package: python-cinder
Section: python
Architecture: all
Depends:
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-barbicanclient (>= 3.0.1),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.16.1),
 python-glanceclient (>= 1:0.15.0),
 python-greenlet (>= 0.3.2),
 python-iso8601 (>= 0.1.9),
 python-keystoneclient (>= 1:0.11.1),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.5.0),
 python-lockfile,
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-netaddr (>= 0.7.12),
 python-novaclient (>= 1:2.18.0),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslo-vmware (>= 0.11.1),
 python-osprofiler (>= 0.3.0),
 python-paramiko (>= 1.13.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-pyparsing (>= 2.0.1),
 python-requests (>= 2.2.0),
 python-retrying (>= 1.2.3),
 python-routes (>= 1.12.3),
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-suds (>= 0.4),
 python-swiftclient (>= 1:2.2.0),
 python-taskflow (>= 0.7.1),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ceph, python-hp3parclient, python-rtslib-fb
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 python-cinder (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt,
 ${misc:Depends},
 ${python:Depends}
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 )
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/cinder/ cinder-(\d.*)\.tar\.gz

## cinder 2015.1.4

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr!=0.7,<1.0,>=0.6
 anyjson>=0.3.3
-Babel>=1.3
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 eventlet!=0.17.0,>=0.16.1
 greenlet>=0.3.2
 iso8601>=0.1.9
@@ -22,7 +22,7 @@
 oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
 oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
 oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
-osprofiler>=0.3.0 # Apache-2.0
+osprofiler<1.0,>=0.3.0 # Apache-2.0
 paramiko>=1.13.0
 Paste
 PasteDeploy>=1.5.0
@@ -32,9 +32,9 @@
 python-glanceclient<0.18.0,>=0.15.0
 python-novaclient<2.24.0,>=2.22.0
 python-swiftclient<2.5.0,>=2.2.0
-requests!=2.4.0,>=2.2.0
+requests!=2.4.0,<2.8.0,>=2.2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-Routes!=2.0,>=1.12.3
+Routes!=2.0,<2.3.0,>=1.12.3
 taskflow<0.8.0,>=0.7.1
 rtslib-fb>=2.1.41
 six>=1.9.0

=== debian/changelog ===
cinder (1:2015.1.4-0ubuntu1.3) trusty-kilo; urgency=medium

  * Fix issue that upload-to-image doesn't copy os_type property
    (LP: #1692446):
    - d/p/0001-Fix-volume-upload-failure-with-glance_api_version-2.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 23 May 2017 14:19:10 +0900

cinder (1:2015.1.4-0ubuntu1.2) trusty-kilo; urgency=medium

  * Move RBD calls to a separate thread to avoid blocking the main process. (LP: #1401335):
    - d/p/lp1401335-Move-RBD-calls-to-a-separate-threads.patch

 -- Matt Rae <matt.rae@canonical.com>  Fri, 31 Mar 2017 16:56:33 +0000

cinder (1:2015.1.4-0ubuntu1.1) trusty-kilo; urgency=medium

  * Fix extract properties from image with glance api v2 (LP: #1323660):
    - d/p/fix-properties-extracting-from-image-with-glance-api.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Sat, 03 Dec 2016 02:07:55 +0900

cinder (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 16:59:28 -0400

cinder (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:54:31 +0000
